<resources>

    <!-- Base application theme. -->
    <style name="BaseTheme" parent="Theme.AppCompat.Light.NoActionBar">
        <!-- Customize your theme here. -->
        <item name="colorPrimary">@color/colorPrimary</item><!--标题栏-->
        <item name="colorPrimaryDark">@color/colorPrimaryDark</item><!--状态烂-->
        <item name="colorAccent">@color/colorAccent</item><!--控件主题色-->
        <item name="android:textColor">@color/black_33_color</item>
        <item name="android:textColorHint">@color/black_d3_color</item>
        <item name="title_text_color">@color/title_text_color</item>
        <item name="title_bg_color">@color/title_bg_color</item>
        <item name="menu_text_color">@color/menu_text_color</item>
        <item name="menu_text_size">@dimen/menu_text_size</item>
        <item name="android:actionBarSize">48dp</item>
        <item name="actionBarSize">48dp</item>
        <item name="android:textColorPrimary">@color/black_33_color</item><!--toolbar标题颜色-->
        <item name="actionOverflowMenuStyle">@style/OverflowMenuStyle</item>
    </style>
    <!--溢出[弹出]菜单样式 parent相当于继承【可以不要parent】-->
    <style name="OverflowMenuStyle" parent="@style/Widget.AppCompat.PopupMenu.Overflow">
        <!-- 是否覆盖锚点，默认为true，即盖住Toolbar -->
        <item name="overlapAnchor">false</item>
        <item name="android:dropDownWidth">50dp</item>
        <item name="android:paddingRight">5dp</item>
        <!-- 弹出层背景颜色 -->
        <item name="android:popupBackground">@color/white</item>
        <!-- 弹出层垂直方向上的偏移，即在竖直方向上距离Toolbar的距离，值为负则会盖住Toolbar -->
        <item name="android:dropDownVerticalOffset">5dp</item>
        <!-- 弹出层水平方向上的偏移，即距离屏幕左边的距离，负值会导致右边出现空隙 -->
        <item name="android:dropDownHorizontalOffset">0dp</item>
        <!-- 设置弹出菜单文字颜色 -->
        <item name="android:textColor">@color/menu_text_color</item>
    </style>
    <!-- toolbar菜单样式 -->
    <style name="ToolbarTheme" parent="@style/ThemeOverlay.AppCompat.ActionBar">
        <item name="actionMenuTextColor">@color/menu_text_color</item>
        <item name="actionMenuTextAppearance">@style/ToolbarMenuTextSize</item>
    </style>
    <!-- toolbar菜单文字尺寸 -->
    <style name="ToolbarMenuTextSize" parent="@style/TextAppearance.AppCompat.Menu">
        <item name="android:textSize">@dimen/menu_text_size</item>
    </style>


    <style name="ImagePickerTheme" parent="Theme.AppCompat.Light.NoActionBar">
        <item name="android:fitsSystemWindows">true</item>
    </style>

    <style name="ImagePickerThemeFullScreen" parent="ImagePickerTheme">
        <item name="android:fitsSystemWindows">false</item>
    </style>

    <!--SuperCheckbox的样式-->
    <style name="ImgSuperCheckboxTheme" parent="@android:style/Widget.CompoundButton.CheckBox">
        <item name="android:button">@drawable/selector_pic_item_checked</item>
    </style>

    <style name="popupwindow_anim_style">
        <!-- 指定显示的动画xml -->
        <item name="android:windowEnterAnimation">@anim/show_from_bottom</item>
        <!-- 指定消失的动画xml -->
        <item name="android:windowExitAnimation">@anim/hide_to_bottom</item>
    </style>
    <style name="dialog_style" parent="@android:style/Theme.Dialog">
        <!--是否去除边框-->
        <item name="android:windowFrame">@null</item>
        <!--是否浮现在activity之上-->
        <item name="android:windowIsFloating">true</item>
        <item name="android:windowIsTranslucent">true</item>
        <!--是否去除标题 -->
        <item name="android:windowNoTitle">true</item>
        <!--背景颜色及和透明程度-->
        <item name="android:windowBackground">@drawable/dialog_bg</item>
        <!--是否模糊-->
        <item name="android:backgroundDimEnabled">true</item>
    </style>
    <style name="menu_dialog_style" parent="@android:style/Theme.Dialog">
        <!--是否去除边框-->
        <item name="android:windowFrame">@null</item>
        <!--是否浮现在activity之上-->
        <item name="android:windowIsFloating">true</item>
        <item name="android:windowIsTranslucent">true</item>
        <!--是否去除标题 -->
        <item name="android:windowNoTitle">true</item>
        <!--背景颜色及和透明程度-->
        <item name="android:windowBackground">@null</item>
        <!--是否模糊-->
        <item name="android:backgroundDimEnabled">true</item>
        <!--半透明-->
        <item name="android:backgroundDimAmount">0</item>

        <item name="android:windowAnimationStyle">@style/top_menu_animstyle</item>

    </style>
    <style name="fullDialog">
        <item name="android:windowFullscreen">true</item>
        <item name="android:windowNoTitle">true</item>
        <item name="android:windowBackground">@android:color/transparent</item>
    </style>
    <style name="CustomBottomSheetDialogTheme" parent="Theme.Design.Light.BottomSheetDialog">
        <item name="bottomSheetStyle">@style/CustomBottomSheetStyle</item>
    </style>

    <style name="CustomBottomSheetStyle" parent="Widget.Design.BottomSheet.Modal">
        <item name="android:background">@android:color/transparent</item>
    </style>

    <style name="PopWindowAnimtion" parent="android:Animation">
        <item name="android:windowEnterAnimation">@anim/popwindow_pull_down_show</item>
        <item name="android:windowExitAnimation">@anim/popwindow_pull_up_dismiss</item>
    </style>

    <style name="noAnimation">
        <item name="android:activityOpenEnterAnimation">@null</item>
        <item name="android:activityOpenExitAnimation">@null</item>
        <item name="android:activityCloseEnterAnimation">@null</item>
        <item name="android:activityCloseExitAnimation">@null</item>
        <item name="android:taskOpenEnterAnimation">@null</item>
        <item name="android:taskOpenExitAnimation">@null</item>
        <item name="android:taskCloseEnterAnimation">@null</item>
        <item name="android:taskCloseExitAnimation">@null</item>
        <item name="android:taskToFrontEnterAnimation">@null</item>
        <item name="android:taskToFrontExitAnimation">@null</item>
        <item name="android:taskToBackEnterAnimation">@null</item>
        <item name="android:taskToBackExitAnimation">@null</item>
    </style>
    <style name="top_menu_animstyle">
        <item name="android:windowEnterAnimation">@anim/menu_dialog_in_anim</item>
        <item name="android:windowExitAnimation">@anim/menu_dialog_out_anim</item>
    </style>
    <style name="main_menu_animstyle">
        <item name="android:windowEnterAnimation">@anim/photo_dialog_in_anim</item>
        <item name="android:windowExitAnimation">@anim/photo_dialog_out_anim</item>
    </style>

    <style name="style_devider_line">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">1px</item>
        <item name="android:background">@color/black_33_color</item>
    </style>

    <style name="style_phone_style">
        <item name="android:inputType">number</item>
        <item name="android:digits">0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ</item>
        <item name="android:maxLength">11</item>
        <item name="android:maxLines">1</item>
    </style>

    <style name="style_verify_code_style">
        <item name="android:inputType">number</item>
        <item name="android:digits">1234567890</item>
        <item name="android:maxLength">6</item>
        <item name="android:maxLines">1</item>
    </style>

    <style name="style_password_style">
        <item name="android:inputType">textPassword</item>
        <item name="android:digits">0123456789qwertyuioplkjhgfdsazxcvbnmQWERTYUIOPLKJHGFDSAZXCVBNM
        </item>
        <item name="android:maxLength">20</item>
        <item name="android:maxLines">1</item>
    </style>

    <style name="tab_text_style">
        <item name="android:textColor">@color/white</item>
        <item name="android:textSize">14sp</item>
    </style>
</resources>
